"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ExternalUrlBuilder_1 = require("../../../src/data_source/ExternalUrlBuilder");
class ItemExternalUrlBuilder extends ExternalUrlBuilder_1.ExternalUrlBuilder {
    constructor() {
        super(...arguments);
        this.externalSources = {
            "DM": {
                "url": "http://dummy.url.com.ar/media-api/",
                "queryParameter": "mediaIds"
            }
        };
    }
    /**
     * Return the source url
     * @param pattern
     *      Ex: DM-5434341
     * @returns {string}
     */
    getResourceUrlOrThrow(pattern) {
        let url = "";
        if (pattern.match(/^[a-z]+-[0-9]+$/i)) {
            let keySource = pattern.split("-");
            if (!!this.externalSources) {
                if (this.externalSources[keySource[0]]) {
                    url = this.externalSources[keySource[0]].url + keySource[1] + ".json";
                }
            }
            else {
                throw new Error("External sources config is not defined");
            }
        }
        return url;
    }
    getMultiGetResourceUrl(keys) {
        let url = "";
        let pattern = keys[0];
        let itemIds = [];
        if (pattern.match(/^[a-z]+-[0-9]+$/i)) {
            let keySource = pattern.split("-");
            if (!!this.externalSources &&
                (this.externalSources[keySource[0]])) {
                url = this.externalSources[keySource[0]].url;
                url = url.endsWith("/") ? url.slice(0, -1) : url;
                url += ".json?+" + this.externalSources[keySource[0]].queryParameter + "=";
                keys.map((v) => (itemIds.push(v.split("-")[1])));
            }
            else {
                throw new Error("External sources config is not defined");
            }
        }
        return url + itemIds.join();
    }
}
exports.ItemExternalUrlBuilder = ItemExternalUrlBuilder;
//# sourceMappingURL=ItemExternalUrlBuilder.js.map