"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseRouter_1 = require("../../../src/router/BaseRouter");
const ItemService_1 = require("./ItemService");
const ItemSearchService_1 = require("./ItemSearchService");
const SecurityMiddleware_1 = require("../../../src/server/SecurityMiddleware");
const config = require("config");
class ItemRouter extends BaseRouter_1.RouterConfig {
    onConfig() {
        const token = config.get("security.token");
        const wrappedWithSecurity = (middleware) => config.get("security.enable") ? SecurityMiddleware_1.withSecurity(token)(middleware) : middleware;
        this.get("/items", wrappedWithSecurity(ItemService_1.default.getItems));
        this.get("/items/:id", wrappedWithSecurity(ItemService_1.default.findById));
        this.post("/items", wrappedWithSecurity(ItemService_1.default.create));
        this.put("/items", wrappedWithSecurity(ItemService_1.default.update));
        this.opts("/items", wrappedWithSecurity(ItemService_1.default.options));
        this.patch("/items", wrappedWithSecurity(ItemService_1.default.patch));
        this.get("/search", wrappedWithSecurity(ItemSearchService_1.default.get));
    }
}
exports.ItemRouter = ItemRouter;
//# sourceMappingURL=ItemRouter.js.map