"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config = require("config");
if (config.get("newrelic.enable")) {
    require("newrelic");
}
const OptionsBuilder_1 = require("../../src/server/OptionsBuilder");
const ServerBuilder_1 = require("../../src/server/ServerBuilder");
const LoggerHelper_1 = require("../../src/helper/logger/LoggerHelper");
const Routes_1 = require("./current/Routes");
const Routes_2 = require("./stable/Routes");
const ServerRouterConfig_1 = require("../../src/server/ServerRouterConfig");
let options = new OptionsBuilder_1.OptionsBuilder()
    .withName(config.get("server.options.name"))
    .withVersion(config.get("server.options.version"))
    .build();
exports.server = new ServerBuilder_1.ServerBuilder(new ServerRouterConfig_1.ServerRouterConfig())
    .withTimeout(config.get("server.options.timeout"))
    .withOptions(options)
    .withRouterList(Routes_1.default)
    .withRouterList(Routes_2.default)
    .withCORS(false)
    .withMorgan()
    .withBugsnag()
    .build();
let port = config.get("port");
exports.server.listen(port, function () {
    LoggerHelper_1.LoggerHelper.getDefaultHandler().info("App online on port: " + port);
});
//# sourceMappingURL=index.js.map