export declare namespace Model {
    interface Title {
        main: string;
        social: string;
        headline: string;
    }
    interface Block {
        type: BlockType;
        content: string | string[];
    }
    enum BlockType {
        STRING,
        MEDIA,
        FACEBOOK,
        TWITTER,
        YOUTUBE,
        INSTAGRAM,
        SCRIBD,
        THINGLINK,
        VINE,
        VIMEO,
        GALLERY,
    }
    interface Content {
        title: Title;
        dropline: Block[];
        body: Block[];
        media: string[];
        createdISO: string;
        changedISO: string;
        tagList: Tag[];
    }
    interface Tag {
        name: string;
        machineName: string;
    }
    interface Item {
        itemId: string;
        content: Content;
    }
}
