"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const restify_errors_1 = require("restify-errors");
const BaseService_1 = require("../../../src/services/BaseService");
const validation_1 = require("../../../src/helper/validation/restify/validation");
const itemSchema_1 = require("./itemSchema");
const ItemController_1 = require("../ItemController");
class ItemService extends BaseService_1.BaseService {
    static findById(req, res, next) {
        if (!!req.params) {
            const id = req.params.id;
            const fields = (req.params.fields || "");
            ItemService.controller.getItem(id, fields).then((data) => {
                res.send(200, data);
            }).catch((err) => {
                res.send(err);
            });
        }
        else {
            res.send(new restify_errors_1.NotFoundError);
        }
    }
    static create(req, res, next) {
        let item = req.params;
        ItemService.controller.createItem(item).then((data) => {
            res.send(201, data);
        }).catch((err) => {
            res.send(err);
        });
    }
    static update(req, res, next) {
        let item = req.params;
        ItemService.controller.updateItem(item).then((data) => {
            res.send(200, data);
        }).catch((err) => {
            res.send(err);
        });
    }
    static options(req, res, next) {
        res.setHeader("Access-Control-Allow-Origin", "*");
        res.setHeader("Access-Control-Allow-Headers", "authorization");
        res.setHeader("Access-Control-Allow-Methods", "*");
        res.send(200);
        return next();
    }
    static getItems(req, res, next) {
        if (!("id" in req.query)) {
            res.send(new restify_errors_1.NotImplementedError("Operation not supported! You must use id filter!"));
        }
        const fields = (req.params.fields || "");
        let items = req.query["id"].replace(/\s+/g, "").split(",");
        ItemService.controller.getItemCollection(items, fields).then((data) => {
            res.send(200, data);
        }).catch((err) => {
            res.send(new restify_errors_1.NotAcceptableError("Some of the items don't exists!", err));
        });
    }
    static patch(req, res, next) {
        res.send(new restify_errors_1.NotImplementedError());
        return next();
    }
}
ItemService.controller = new ItemController_1.ItemController();
__decorate([
    validation_1.RestifyValidation.isAlphanumeric("id")
], ItemService, "findById", null);
__decorate([
    validation_1.RestifyValidation.validateBodyWithSchema(itemSchema_1.itemSchemaPost)
], ItemService, "create", null);
__decorate([
    validation_1.RestifyValidation.isAlphanumeric("id"),
    validation_1.RestifyValidation.validateBodyWithSchema(itemSchema_1.itemSchemaUpdate)
], ItemService, "update", null);
exports.default = ItemService;
//# sourceMappingURL=ItemService.js.map