import { DataSource } from "./base/DataSource";
import { ExternalUrlBuilder } from "./ExternalUrlBuilder";
/**
 * Class that represents an external data source (fallback to fetch external data)
 */
export declare class ExternalDataSource implements DataSource {
    private urlBuilder;
    constructor(urlBuilder: ExternalUrlBuilder);
    getData(key: string, fields?: string): Promise<any>;
    putData(key: string, value: any): Promise<any>;
    getItems(keys: Array<string>, fields?: string): Promise<any>;
    updateData(key: string, value: Object): Promise<any>;
    searchData(query: Object): Promise<any>;
    deleteItem(key: string): Promise<any>;
}
