"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Dictionary_1 = require("typescript-collections/dist/lib/Dictionary");
const restify_errors_1 = require("restify-errors");
/**
 * Used mostly for debugging;
 */
class MemoryDataSource {
    constructor() {
        this._dictionary = new Dictionary_1.default();
    }
    getData(key) {
        return new Promise((resolve) => {
            resolve(this._dictionary.getValue(key));
        });
    }
    putData(key, value) {
        return new Promise((resolve) => {
            this._dictionary.setValue(key, value);
            resolve(value);
        });
    }
    getItems(keys, fields) {
        return new Promise((resolve, reject) => {
            let promises = keys.map(id => this.getData(id).then((data) => {
                return data;
            }).catch((err) => {
                // item not found
                reject(err);
            }));
            Promise.all(promises).then(function (items) {
                resolve(items);
            });
        });
    }
    updateData(key, value) {
        throw new restify_errors_1.InternalServerError("Can not update item to a memory datasource");
    }
    searchData(query) {
        console.log("searcg data");
        return new Promise((resolve, reject) => resolve(null));
    }
    deleteItem(key) {
        return Promise.reject(new Error('Method not implemented'));
    }
}
exports.MemoryDataSource = MemoryDataSource;
//# sourceMappingURL=MemoryDataSource.js.map