"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AWS = require("aws-sdk");
const config = require("config");
if (config.has("aws.dynamodb")) {
    AWS.config.dynamodb = {
        region: config.get("aws.region"),
        endpoint: config.get("aws.dynamodb.endpoint"),
        accessKeyId: config.get("aws.accessKeyId"),
        secretAccessKey: config.get("aws.secretAccessKey"),
        maxRetries: config.get("aws.dynamodb.maxRetries")
    };
    AWS.config.httpOptions.timeout = parseInt(config.get("aws.dynamodb.timeout"));
    AWS.config.maxRetries = parseInt(config.get("aws.dynamodb.maxRetries"));
}
class Connection {
    Connection() {
    }
    static getInstance() {
        return Connection.instance;
    }
}
Connection.instance = new AWS.DynamoDB.DocumentClient();
exports.Connection = Connection;
//# sourceMappingURL=Connection.js.map