"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ElasticSearchConnection_1 = require("./ElasticSearchConnection");
const config = require("config");
class ElasticSearchDataSource {
    getData(key, fields) {
        // TODO: add multi-index and multi-type support
        return new Promise((resolve, reject) => {
            ElasticSearchConnection_1.ElasticSearchConnection.getInstance().get({
                index: config.get("elastic.index"),
                type: config.get("elastic.type") ? config.get("elastic.type") : "_all",
                id: key
            }, (error, response) => {
                if (error)
                    reject(error);
                resolve(response);
            });
        });
    }
    putData(key, value) {
        return new Promise(resolve => resolve(null));
    }
    getItems(keys, fields) {
        return new Promise(resolve => resolve(null));
    }
    updateData(key, value) {
        return new Promise(resolve => resolve(null));
    }
    searchData(query) {
        const q = this.buildQueryObject(query);
        return new Promise((resolve, reject) => {
            ElasticSearchConnection_1.ElasticSearchConnection.getInstance().search(q, (error, response) => {
                if (error)
                    reject(error);
                resolve(response);
            });
        });
    }
    buildQueryObject(query) {
        try {
            const queryBody = JSON.parse(query);
            return {
                index: config.get("elastic.index"),
                body: queryBody
            };
        }
        catch (error) { }
        return {
            index: config.get("elastic.index"),
            q: query
        };
    }
    deleteItem(key) {
        return Promise.reject(new Error('Method not implemented'));
    }
}
exports.ElasticSearchDataSource = ElasticSearchDataSource;
//# sourceMappingURL=ElasticSearchDatasource.js.map