"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ProductionLogConfig_1 = require("./ProductionLogConfig");
const DevelopLogConfig_1 = require("./DevelopLogConfig");
class LoggerHelper {
    constructor(env) {
        switch (env) {
            case "development":
                this.loggerHelper = (new DevelopLogConfig_1.default()).configure();
                break;
            default:
                this.loggerHelper = (new ProductionLogConfig_1.default()).configure();
        }
    }
    getHandler() {
        return this.loggerHelper;
    }
    static getDefaultHandler() {
        if (LoggerHelper.instance === null)
            LoggerHelper.instance = new LoggerHelper(process.env["NODE_ENV"]);
        return LoggerHelper.instance.getHandler();
    }
}
LoggerHelper.instance = null;
exports.LoggerHelper = LoggerHelper;
//# sourceMappingURL=LoggerHelper.js.map