"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Logger_1 = require("./Logger");
const config = require("config");
const yn = require("yn");
class NewrelicLogger extends Logger_1.Logger {
    constructor() {
        super();
        this.init();
    }
    init() {
        if (yn(config.get("newrelic.enable"))) {
            try {
                require("newrelic");
            }
            catch (e) {
                console.error(e);
            }
        }
    }
}
exports.default = NewrelicLogger;
//# sourceMappingURL=NewrelicLogger.js.map