"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Debug = require("debug");
const Logger_1 = require("./Logger");
const winston = require("winston");
const debug = Debug(process.env["DEBUG"] || "server-log");
class ServerLogger extends Logger_1.Logger {
    constructor() {
        super();
    }
    info(msg) {
        winston.info(this.__string(msg));
    }
    debug(msg) {
        debug(msg);
    }
    warn(msg) {
        winston.warn(this.__string(msg));
    }
    error(msg) {
        winston.error(this.__string(msg));
    }
    setLevel(level) {
        winston.configure({
            level: level,
            transports: [
                new (winston.transports.Console)()
            ]
        });
    }
    __string(obj) {
        return this.appendDateTimeToMessage(JSON.stringify(obj));
    }
    appendDateTimeToMessage(message) {
        return new Date().toLocaleString() + "\t" + message;
    }
}
exports.default = ServerLogger;
//# sourceMappingURL=ServerLogger.js.map