import { RequestHandler } from "restify";
import { ServerRouterConfig } from "../server/ServerRouterConfig";
export declare abstract class RouterConfig {
    private _routers;
    private _version;
    constructor(version?: any);
    protected get(route: any, callback: RequestHandler): void;
    protected head(route: any, callback: RequestHandler): void;
    protected post(route: any, callback: RequestHandler): void;
    protected put(route: any, callback: RequestHandler): void;
    protected del(route: any, callback: RequestHandler): void;
    protected opts(route: any, callback: RequestHandler): void;
    protected patch(route: any, callback: RequestHandler): void;
    protected abstract onConfig(): void;
    apply(serverRouterConfig: ServerRouterConfig): void;
}
export declare enum HttpVerb {
    GET = 0,
    HEAD = 1,
    POST = 2,
    PUT = 3,
    DELETE = 4,
    OPTIONS = 5,
    PATCH = 6,
}
export declare class RouterConfigItem {
    private _verb;
    private _route;
    private _callback;
    private _version;
    constructor(verb: HttpVerb, route: any, callback: RequestHandler, version?: any);
    readonly verb: HttpVerb;
    readonly version: any;
    readonly route: any;
    readonly callback: RequestHandler;
}
