"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RouterListBuilder {
    constructor(version) {
        this._version = version;
        this._routers = [];
    }
    withRouter(router) {
        this._routers.push(router);
        return this;
    }
    build() {
        const routers = [];
        this._routers.forEach((router) => {
            routers.push(new router(this._version));
        });
        return routers;
    }
}
exports.RouterListBuilder = RouterListBuilder;
//# sourceMappingURL=RouterListBuilder.js.map