"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class OptionsBuilder {
    constructor() {
        this._name = "Some Name";
        this._version = "0.0.0";
    }
    withOptions(options) {
        this._options = options;
        return this;
    }
    withCertificate(value) {
        this._certificate = value;
        return this;
    }
    withKey(value) {
        this._key = value;
        return this;
    }
    withFormatters(value) {
        this._formatters = value;
        return this;
    }
    withLog(value) {
        this._log = value;
        return this;
    }
    withName(value) {
        this._name = value;
        return this;
    }
    withSpdy(value) {
        this._spdy = value;
        return this;
    }
    withVersion(value) {
        this._version = value;
        return this;
    }
    withHandleUpgrades(value) {
        this._handleUpgrades = value;
        return this;
    }
    withHttpsServerOptions(value) {
        this._httpsServerOptions = value;
        return this;
    }
    build() {
        let options;
        if (!!this._options) {
            options = this._options;
        }
        else {
            options = {};
        }
        options.certificate = this._certificate;
        options.key = this._key;
        options.formatters = this._formatters;
        options.log = this._log;
        options.name = this._name;
        options.spdy = this._spdy;
        options.version = this._version;
        options.handleUpgrades = this._handleUpgrades;
        options.httpsServerOptions = this._httpsServerOptions;
        return options;
    }
}
exports.OptionsBuilder = OptionsBuilder;
//# sourceMappingURL=OptionsBuilder.js.map