"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const restify_errors_1 = require("restify-errors");
exports.withSecurity = token => RequestHandler => (req, res, next) => {
    if (!exports.tokenIsValid(token, req.headers["authorization"])) {
        return res.send(new restify_errors_1.NotAuthorizedError("invalid Token"));
    }
    return RequestHandler(req, res, next);
};
exports.tokenIsValid = (token, authorization) => !!authorization && authorization === token;
//# sourceMappingURL=SecurityMiddleware.js.map