import { RouterConfig } from "../router/BaseRouter";
import { RequestHandler, Server, ServerOptions } from "restify";
import { ServerRouterConfig } from "./ServerRouterConfig";
export declare class ServerBuilder {
    private _serverOptions;
    private _routerConfig;
    private _routerConfigBuilder;
    private _sanitizer;
    private _queryParser;
    private _charset;
    private _bodyParser;
    private _timeout;
    private _cors;
    private _middlewares;
    private _uncaughtExceptionHandler;
    constructor(routerConfigBuilder: ServerRouterConfig);
    withOptions(serverOptions: ServerOptions): ServerBuilder;
    withRouter(routerConfig: RouterConfig): ServerBuilder;
    withRouterList(routerList: Array<RouterConfig>): ServerBuilder;
    withSanitizer(sanitizer: RequestHandler): this;
    withQueryParser(queryParser: RequestHandler): this;
    withCharset(charset: RequestHandler): this;
    withBodyParser(bodyParser: RequestHandler[]): this;
    withTimeout(timeout: number): ServerBuilder;
    withCORS(enable: boolean): ServerBuilder;
    withMiddleWare(component: any): this;
    withUncaughtExceptionHandler(handler: any): ServerBuilder;
    withBugsnag(): this;
    withMorgan(): this;
    build(): Server;
}
