"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const config_1 = require("../config");
exports.default = () => {
    return new Promise((resolve, reject) => {
        let versions = [];
        const paths = fs.readdirSync(config_1.default.srcPath);
        if (!paths)
            throw new Error(`Path "${config_1.default.srcPath}" not found`);
        for (let currentPath in paths) {
            if (paths.hasOwnProperty(currentPath)) {
                if (fs.lstatSync(`${config_1.default.srcPath}${paths[currentPath]}`).isDirectory()) {
                    const files = fs.readdirSync(`${config_1.default.srcPath}${paths[currentPath]}`);
                    if (!files)
                        throw new Error(`Files "${config_1.default.srcPath}${paths[currentPath]}" not found`);
                    for (let currentFile in files) {
                        if (files.hasOwnProperty(currentFile)) {
                            if (files[currentFile] === config_1.default.versionFile) {
                                const version = fs.readJsonSync(`${config_1.default.srcPath}${paths[currentPath]}/${files[currentFile]}`);
                                if (!!version) {
                                    versions.push(version);
                                }
                            }
                        }
                    }
                }
            }
        }
        if (versions.length > 0) {
            resolve(versions);
        }
        else {
            reject(new Error("Zero versions, try crating a new version from scratch"));
        }
    });
};
//# sourceMappingURL=versionList.js.map